#!/bin/bash -e

[ -x /sbin/resolvconf ] || exit 0

for optionname in ${!foreign_option_*} ; do
	option="${!optionname}"
	part1=$(echo "$option" | cut -d " " -f 1)
	if [ "$part1" == "dhcp-option" ] ; then
		part2=$(echo "$option" | cut -d " " -f 2)
		part3=$(echo "$option" | cut -d " " -f 3)
		if [ "$part2" == "DNS" ] ; then
			NAMESERVERS="${NAMESERVERS}nameserver $part3"
		fi
	fi
done

echo -n "$NAMESERVERS" | /sbin/resolvconf -a "${dev}.inet"
